## knot 3.4.4

=== debian/changelog ===
knot (3.4.4-1) unstable; urgency=medium

  * New upstream version 3.4.4
  * Add new symbols for 3.4.4

 -- Jakub Ružička <jru@debian.org>  Thu, 23 Jan 2025 12:09:18 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -DNDEBUG

export DPKG_GENSYMBOLS_CHECK_LEVEL := 4
export KNOT_SOFTHSM2_DSO = /usr/lib/softhsm/libsofthsm2.so
export KNOT_VERSION_FORMAT = release
export KNOT_FULL_ARCHS = amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64

include /usr/share/dpkg/default.mk

# Enable extra modules and features only for well supported architectures
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(KNOT_FULL_ARCHS)))
  FASTPARSER := --enable-fastparser
  RECVMMSG   := --enable-recvmmsg=yes
  QUIC       := --enable-quic=auto
  RRL        := --with-module-rrl=yes
  GEOIP      := --with-module-geoip=shared
  DNSTAP     := --enable-dnstap --with-module-dnstap=shared
  RUN_TEST   :=
else
  FASTPARSER := --disable-fastparser
  RECVMMSG   := --enable-recvmmsg=no
  QUIC       := --enable-quic=no
  RRL        := --with-module-rrl=no
  GEOIP      := --with-modle-geoip=no
  DNSTAP     := --disable-dnstap --with-module-dnstap=no
  RUN_TEST   := -timeout --kill-after=5s 5m
endif

# Disable fastparser if requested
ifeq (maint,$(filter $(DEB_BUILD_OPTIONS),maint))
  FASTPARSER := --disable-fastparser
endif

# MAJOR.MINOR version part
BASE_VERSION := $(shell echo $(DEB_VERSION) | sed 's/^\([^.]\+\.[^.]\+\).*/\1/')

# pyproject is supported by knot but fails on second `pybuild --build`
# invocation due to bug in dh-python's plugin_pyproject.py wheel unpack
export PYBUILD_SYSTEM = distutils

%:
	dh $@ \
	 --exclude=.la --exclude=example.com.zone \
	 --with python3

override_dh_auto_configure:
	@echo 'architecture:' $(DEB_HOST_ARCH)
	dh_auto_configure -- \
	  --sysconfdir=/etc \
	  --localstatedir=/var/lib \
	  --libexecdir=/usr/lib/knot \
	  --with-rundir=/run/knot \
	  --with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/knot/modules-$(BASE_VERSION) \
	  --with-storage=/var/lib/knot \
	  --enable-systemd=auto \
	  --disable-silent-rules \
	  $(RRL) \
	  $(GEOIP) \
	  $(DNSTAP) \
	  $(RECVMMSG) \
	  $(FASTPARSER) \
	  $(QUIC)

override_dh_auto_configure-indep:
	pybuild --dir python/libknot --configure
	pybuild --dir python/knot_exporter --configure

override_dh_auto_build-indep:
	dh_auto_build -- html
	pybuild --dir python/libknot --build
	pybuild --dir python/knot_exporter --build

override_dh_auto_install-arch:
	dh_auto_install -- install
	# rename knot.sample.conf to knot.conf
	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
	# Some workarounds where XDP is unavailable
	@if [ -f "$(CURDIR)/debian/tmp/usr/sbin/kxdpgun" ]; then \
	  echo "XDP enabled"; \
	else \
	  echo "XDP disabled"; \
	  touch $(CURDIR)/debian/tmp/usr/share/man/man8/kxdpgun.8; \
	  printf '#!/bin/sh\n\necho "kxdpgun not available"\n' > $(CURDIR)/debian/tmp/usr/sbin/kxdpgun; \
	fi

override_dh_auto_install-indep:
	dh_auto_install -- install-html
	# rename knot.sample.conf to knot.conf
	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
	pybuild --dir python/libknot --install
	pybuild --dir python/knot_exporter --install
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/libknot/__pycache__
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/dist-packages/knot_exporter/__pycache__

override_dh_auto_test-indep:
override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(RUN_TEST) dh_auto_test
	$(MAKE) -C samples knot.sample.conf
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: kdig
Restrictions: skippable
Depends:
 ca-certificates,
 iputils-ping,
 knot-dnsutils,

Tests: authoritative-server
Depends:
 findutils,
 knot,
 knot-dnsutils,
 knot-dnssecutils,

## knot 3.4.5

=== debian/changelog ===
knot (3.4.5-1) unstable; urgency=medium

  [ Daniel Salzman ]
  * Mute lintian error empty-manual-page for kxdpgun if XDP not available

  [ Jakub Ružička ]
  * Update d/copyright from upstream

 -- Jakub Ružička <jru@debian.org>  Wed, 19 Mar 2025 15:42:14 +0100

## knot 3.4.6

=== debian/changelog ===
knot (3.4.6-2) unstable; urgency=medium

  * patch: revert %DISABLE_TLS13_COMPAT_MODE removal (Closes: #1104233)

 -- Jakub Ružička <jru@debian.org>  Wed, 30 Apr 2025 18:29:17 +0200

knot (3.4.6-1) unstable; urgency=medium

  * New upstream version 3.4.6

 -- Jakub Ružička <jru@debian.org>  Thu, 10 Apr 2025 13:29:26 +0200

=== debian/control ===
Source: knot
Section: net
Priority: optional
Maintainer: knot packagers <knot@packages.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Daniel Salzman <daniel.salzman@nic.cz>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Robert Edmonds <edmonds@debian.org>,
 Jakub Ružička <jru@debian.org>,
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.22.5),
 libbpf-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libcap-ng-dev [!hurd-amd64 !hurd-i386],
 libedit-dev,
 libfstrm-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libgnutls28-dev,
 libidn2-dev,
 liblmdb-dev,
 libmaxminddb-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libmnl-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libnghttp2-dev,
 libngtcp2-crypto-gnutls-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libngtcp2-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libprotobuf-c-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
 libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
 libtool,
 liburcu-dev,
 libxdp-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 pkgconf,
 protobuf-c-compiler [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-panels,
 softhsm2 <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://www.knot-dns.cz/
Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
Rules-Requires-Root: no

Package: knot
Architecture: any
Depends:
 adduser,
 libdnssec9t64 (= ${binary:Version}),
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 knot-dnsutils (<< 2.9.2-5),
Suggests:
 systemd,
Description: Authoritative domain name server
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libknot15
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: Authoritative domain name server (shared library)
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides libknot shared library used by Knot DNS and
 Knot Resolver.

Package: libzscanner4t64
Provides: ${t64:Provides}
Replaces: libzscanner4
Breaks: libzscanner4 (<< ${source:Version})
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNS zone-parsing shared library from Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides a fast zone parser shared library used by Knot
 DNS and Knot Resolver.

Package: libdnssec9t64
Provides: ${t64:Provides}
Replaces: libdnssec9
Breaks: libdnssec9 (<< ${source:Version})
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNSSEC shared library from Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides common DNSSEC shared library used by Knot DNS
 and Knot Resolver.

Package: libknot-dev
Architecture: any
Depends:
 libdnssec9t64 (= ${binary:Version}),
 libgnutls28-dev,
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
Section: libdevel
Description: Knot DNS shared library development files
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides development files for internal common shared
 libraries.

Package: knot-dnsutils
Architecture: any
Depends:
 libdnssec9t64 (= ${binary:Version}),
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 knot (<< 2.9.2-5),
Replaces:
 knot (<< 2.9.2-5),
Description: Clients provided with Knot DNS (kdig, knsupdate, kxdpgun)
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package delivers various client programs related to DNS that are
 derived from the Knot DNS source tree.
 .
  - kdig - query a DNS server in various ways
  - knsupdate - perform dynamic updates (See RFC2136)
  - kxdpgun - send a DNS query stream over UDP to a DNS server
 .
 Those clients were designed to be 1:1 compatible with BIND dnsutils,
 but they provide some enhancements, which are documented in respective
 manpages.
 .
 WARNING: knslookup is not provided as it is considered obsolete.

Package: knot-dnssecutils
Architecture: any
Depends:
 libdnssec9t64 (= ${binary:Version}),
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 knot (<< 3.2.0-1),
 knot-dnsutils (<< 3.2.0-1),
Replaces:
 knot (<< 3.2.0-1),
 knot-dnsutils (<< 3.2.0-1),
Description: DNSSEC tools provided with Knot DNS (kzonecheck, kzonesign, knsec3hash)
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package delivers various DNSSEC tools from Knot DNS.
 .
  - kzonecheck
  - kzonesign
  - knsec3hash

Package: knot-host
Architecture: any
Depends:
 libdnssec9t64 (= ${binary:Version}),
 libknot15 (= ${binary:Version}),
 libzscanner4t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Version of 'host' bundled with Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides the 'host' program in the form that is bundled
 with the Knot DNS.  The 'host' command is designed to be 1:1
 compatible with BIND 9.x 'host' program.

Package: knot-module-dnstap
Architecture: amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64
Depends:
 knot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: dnstap module for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package contains dnstap module for logging DNS traffic.

Package: knot-module-geoip
Architecture: amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64
Depends:
 knot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: geoip module for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package contains geoip module for geography-based responses.

Package: knot-doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 libjs-sphinxdoc,
 libjs-underscore,
 ${misc:Depends},
Section: doc
Description: Documentation for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides various documents that are useful for
 maintaining a working Knot DNS installation.

Package: knot-exporter
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Prometheus exporter for Knot DNS
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides Python Prometheus exporter for Knot DNS.

Package: python3-libknot
Architecture: all
Depends:
 libknot15 (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Python bindings for libknot
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 This package provides Python bindings for the libknot shared library.

=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 	  echo "XDP enabled"; \
 	else \
 	  echo "XDP disabled"; \
-	  touch $(CURDIR)/debian/tmp/usr/share/man/man8/kxdpgun.8; \
+	  printf '.TH kxdpgun 8 "" "" "not available"\n' > $(CURDIR)/debian/tmp/usr/share/man/man8/kxdpgun.8; \
 	  printf '#!/bin/sh\n\necho "kxdpgun not available"\n' > $(CURDIR)/debian/tmp/usr/sbin/kxdpgun; \
 	fi

## knot 3.4.7

=== debian/changelog ===
knot (3.4.7-1) experimental; urgency=medium

  * New upstream version 3.4.7 (Closes: #1109283)
  * Use debian/experimental due to Trixie freeze
  * Remove patch included in upstream release
  * Add new symbols for 3.4.7

 -- Jakub Ružička <jru@debian.org>  Mon, 14 Jul 2025 21:39:09 +0200

## knot 3.4.8

=== debian/changelog ===
knot (3.4.8-1) experimental; urgency=medium

  * New upstream version 3.4.8
  * Add simple python-libknot autopkgtest

 -- Jakub Ružička <jru@debian.org>  Wed, 30 Jul 2025 18:19:58 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -11,3 +11,7 @@
  knot,
  knot-dnsutils,
  knot-dnssecutils,
+
+Tests: python-libknot
+Depends:
+ python3-libknot

## knot 3.5.0

=== debian/changelog ===
knot (3.5.0-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * Upload to unstable
  * New upstream version 3.5.0
  * SONAME bumps: libknot, libdnssec, libzscanner
  * Add script to help with updating libknot symlinks on SONAME bump
  * Add redis-module-knot package with Knot Redis module
  * Split keymgr into knot-keymgr package (Closes: #1109284)
  * Update Standards-Version to latest 4.7.2 (no changes)
  * Remove redundant Rules-Requires-Root: no
  * Adapt authoritative-server test for kzonecheck to autodetection
  * Move deps to Build-Depends-Indep

  [ Daniel Salzman ]
  * Remove no longer needed dpkg-dev (>= 1.22.5) from Build-Depends
  * Remove obsolete Breaks on version 2.9.2-5
  * Add missing libdnssec10 dependency for libknot16
  * Update copyright based on upstream
  * Add knot-keymgr to Depends for authoritative-server tests
  * Move --exclude= parameters to override_dh_missing
  * Update and synchronize package descriptions with upstream

 -- Jakub Ružička <jru@debian.org>  Mon, 29 Sep 2025 16:09:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -43,8 +43,7 @@
 
 %:
 	dh $@ \
-	 --exclude=.la --exclude=example.com.zone \
-	 --with python3
+	  --with python3
 
 override_dh_auto_configure:
 	@echo 'architecture:' $(DEB_HOST_ARCH)
@@ -57,6 +56,7 @@
 	  --with-storage=/var/lib/knot \
 	  --enable-systemd=auto \
 	  --disable-silent-rules \
+	  --enable-redis=auto \
 	  $(RRL) \
 	  $(GEOIP) \
 	  $(DNSTAP) \
@@ -85,6 +85,9 @@
 	  printf '.TH kxdpgun 8 "" "" "not available"\n' > $(CURDIR)/debian/tmp/usr/share/man/man8/kxdpgun.8; \
 	  printf '#!/bin/sh\n\necho "kxdpgun not available"\n' > $(CURDIR)/debian/tmp/usr/sbin/kxdpgun; \
 	fi
+	@if [ -f "$(CURDIR)/debian/tmp/usr/lib/*/knot/redis/knot.so" ]; then \
+	  chmod 0755 $(CURDIR)/debian/tmp/usr/lib/*/knot/redis/knot.so; \
+	fi
 
 override_dh_auto_install-indep:
 	dh_auto_install -- install-html
@@ -103,7 +106,7 @@
 endif
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing --exclude=.la --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## knot 3.5.1

=== tests-redis/requirements.txt ===
rltest
setuptools<=80.0.0

=== debian/changelog ===
knot (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Remove patch included upstream

 -- Jakub Ružička <jru@debian.org>  Fri, 17 Oct 2025 14:33:38 +0200

knot (3.5.0-2) unstable; urgency=medium

  [ Jakub Ružička ]
  * Source-only upload
  * Add patch to fix armel, powerpc, mips build

  [ Daniel Salzman ]
  * Remove no longer needed fix for testing with old KASP DB

 -- Jakub Ružička <jru@debian.org>  Tue, 30 Sep 2025 18:40:47 +0200

=== debian/control ===
Source: knot
Section: net
Priority: optional
Maintainer: knot packagers <knot@packages.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Daniel Salzman <daniel.salzman@nic.cz>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Robert Edmonds <edmonds@debian.org>,
 Jakub Ružička <jru@debian.org>,
Build-Depends-Indep:
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-panels,
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 dh-python,
 libbpf-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libcap-ng-dev [!hurd-amd64 !hurd-i386],
 libedit-dev,
 libfstrm-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libgnutls28-dev,
 libhiredis-dev,
 libidn2-dev,
 liblmdb-dev,
 libmaxminddb-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libmnl-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libnghttp2-dev,
 libngtcp2-crypto-gnutls-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libngtcp2-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libprotobuf-c-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
 libsystemd-dev [linux-any] | libsystemd-journal-dev [linux-any],
 libtool,
 liburcu-dev,
 libxdp-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 pkgconf,
 protobuf-c-compiler [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
 python3-all,
 softhsm2 <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://www.knot-dns.cz/
Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git

Package: knot
Architecture: any
Depends:
 adduser,
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 knot-keymgr,
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 systemd,
Description: Authoritative DNS server
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libknot16
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNS shared library from Knot DNS
 This package provides a DNS shared library used by Knot DNS and
 Knot Resolver.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libzscanner5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNS zone-parsing shared library from Knot DNS
 This package provides a fast zone parser shared library used by
 DNS and Knot Resolver.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libdnssec10
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: DNSSEC shared library from Knot DNS
 This package provides a DNSSEC shared library used by Knot DNS
 and Knot Resolver.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: libknot-dev
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libgnutls28-dev,
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
Section: libdevel
Description: Development files for Knot DNS shared libraries
 This package provides development files for shared libraries from
 Knot DNS.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-dnsutils
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: DNS clients from Knot DNS
 This package provides various DNS client programs from Knot DNS.
 .
  - kdig - query a DNS server in various ways
  - knsupdate - perform dynamic updates (See RFC2136)
  - kxdpgun - send a DNS query stream
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-dnssecutils
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 knot (<< 3.2.0-1),
 knot-dnsutils (<< 3.2.0-1),
Replaces:
 knot (<< 3.2.0-1),
 knot-dnsutils (<< 3.2.0-1),
Description: DNSSEC tools
 This package provides various DNSSEC tools from Knot DNS.
 .
  - kzonecheck - check a DNS zone file
  - kzonesign - sign a DNS zone file
  - knsec3hash - compute NSEC3 hash
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-host
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple DNS client
 This package provides a simple DNS client program from Knot DNS.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-keymgr
Architecture: any
Depends:
 libdnssec10 (= ${binary:Version}),
 libknot16 (= ${binary:Version}),
 libzscanner5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Knot DNS key management utility
 This package provides the 'keymgr' program for Knot DNS key management.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-module-dnstap
Architecture: amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64
Depends:
 knot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: dnstap module for Knot DNS
 This package provides dnstap module for logging DNS traffic.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-module-geoip
Architecture: amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64
Depends:
 knot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: geoip module for Knot DNS
 This package provides geoip module for geography-based responses.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: redis-module-knot
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Redis module for Knot DNS
 This package provides a Redis module for commucation with Knot DNS.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 libjs-sphinxdoc,
 libjs-underscore,
 ${misc:Depends},
Section: doc
Description: Documentation for Knot DNS
 This package provides various documents that are useful for
 maintaining a working Knot DNS installation.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: knot-exporter
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Prometheus exporter for Knot DNS
 This package provides Python Prometheus exporter for Knot DNS.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

Package: python3-libknot
Architecture: all
Depends:
 libknot16 (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Python bindings for libknot
 This package provides Python bindings for the libknot shared library.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.

=== debian/rules ===
--- 
+++ 
@@ -100,10 +100,7 @@
 
 override_dh_auto_test-indep:
 override_dh_auto_test-arch:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(RUN_TEST) dh_auto_test
-	$(MAKE) -C samples knot.sample.conf
-endif
 
 override_dh_missing:
 	dh_missing --exclude=.la --fail-missing

=== debian/tests/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  knot,
  knot-dnsutils,
  knot-dnssecutils,
+ knot-keymgr,
 
 Tests: python-libknot
 Depends:

=== debian/watch ===
version=4
opts=uversionmangle=s/-((alpha|beta|rc)\d*)$/~$1/,pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+hotfix// \
https://secure.nic.cz/files/knot-dns/ \
(?:|.*/)knot(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## knot 3.5.2

=== debian/changelog ===
knot (3.5.2-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
  * Merging upstream version 3.5.2.
  * Merging debian version 3.5.2-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 02 Dec 2025 17:46:09 +0100

knot (3.5.2-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream version 3.5.2
  * Add new symbols for 3.5.2

  [ Daniel Salzman ]
  * Add protobuf-compiler to Build-Depends

 -- Jakub Ružička <jru@debian.org>  Tue, 02 Dec 2025 15:43:18 +0100

knot (3.5.1-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
  * Merging upstream version 3.5.1.
  * Merging debian version 3.5.1-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 17 Oct 2025 18:07:15 +0200

knot (3.5.0-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
  * Merging debian version 3.5.0-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Oct 2025 09:11:30 +0200

knot (3.5.0-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
  * Merging upstream version 3.5.0.
  * Merging debian version 3.5.0-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 30 Sep 2025 13:34:17 +0200

knot (3.4.8-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
      #932087).
    - Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
    - Adding update-alternatives to use khost for /usr/bin/host.
    - Moving keymgr from knot to knot-dnssecutils (Closes: #1109284).
  * Merging upstream version 3.4.8.
  * Merging debian version 3.4.8-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 30 Jul 2025 20:38:29 +0200

knot (3.4.7-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Adding update-alternatives to use kdig for /usr/bin/dig (Closes:
    #932087).
  * Adding update-alternatives to use knsupdate for /usr/bin/nsupdate.
  * Adding update-alternatives to use khost for /usr/bin/host.
  * Moving keymgr from knot to knot-dnssecutils (Closes: #1109284).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Jul 2025 06:12:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: knot
 Section: net
 Priority: optional
-Maintainer: knot packagers <knot@packages.debian.org>
-Uploaders:
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: knot packagers <knot@packages.debian.org>
+XSBC-Original-Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Daniel Salzman <daniel.salzman@nic.cz>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Robert Edmonds <edmonds@debian.org>,
  Jakub Ružička <jru@debian.org>,
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends-Indep:
  python3-setuptools,
  python3-sphinx,
@@ -38,12 +41,15 @@
  libxdp-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
  pkgconf,
  protobuf-c-compiler [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
+ protobuf-compiler [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
  python3-all,
  softhsm2 <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://www.knot-dns.cz/
-Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
-Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
+Vcs-Browser: https://git.progress-linux.org/horok-backports/knot
+Vcs-Git: https://git.progress-linux.org/horok-backports/knot
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
+XSBC-Original-Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
 
 Package: knot
 Architecture: any
@@ -156,10 +162,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- knot (<< 3.2.0-1),
+ knot (<< ${binary:Version}),
  knot-dnsutils (<< 3.2.0-1),
 Replaces:
- knot (<< 3.2.0-1),
+ knot (<< ${binary:Version}),
  knot-dnsutils (<< 3.2.0-1),
 Description: DNSSEC tools
  This package provides various DNSSEC tools from Knot DNS.

## knot 3.5.3

=== debian/changelog ===
knot (3.5.3-2) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * Install and use sysusers.d/tmpfiles.d config files

  [ Santiago Ruano Rincón ]
  * Install keymgr in /usb/bin instead of /usr/sbin (Closes: #1109287)
  * Declare in d/clean that doc/modules/ is a directory

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 16 Feb 2026 11:03:07 -0300

knot (3.5.3-1) unstable; urgency=medium

  * Team upload.
  * Disable (temporarily) ARM build jobs from Salsa CI
  * Remove the Priority field from the source package
  * Bump Standards-Version to 4.7.3

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Tue, 20 Jan 2026 14:38:48 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,12 @@
 Source: knot
 Section: net
-Priority: optional
-Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
-XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
-XSBC-Original-Maintainer: knot packagers <knot@packages.debian.org>
-XSBC-Original-Uploaders:
+Maintainer: knot packagers <knot@packages.debian.org>
+Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Daniel Salzman <daniel.salzman@nic.cz>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Robert Edmonds <edmonds@debian.org>,
  Jakub Ružička <jru@debian.org>,
-Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends-Indep:
  python3-setuptools,
  python3-sphinx,
@@ -20,6 +16,7 @@
  automake,
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-installsysusers,
  libbpf-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
  libcap-ng-dev [!hurd-amd64 !hurd-i386],
  libedit-dev,
@@ -44,17 +41,14 @@
  protobuf-compiler [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x ppc64],
  python3-all,
  softhsm2 <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.knot-dns.cz/
-Vcs-Browser: https://git.progress-linux.org/horok-backports/knot
-Vcs-Git: https://git.progress-linux.org/horok-backports/knot
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
-XSBC-Original-Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
+Vcs-Browser: https://salsa.debian.org/dns-team/knot-dns
+Vcs-Git: https://salsa.debian.org/dns-team/knot-dns.git
 
 Package: knot
 Architecture: any
 Depends:
- adduser,
  libdnssec10 (= ${binary:Version}),
  libknot16 (= ${binary:Version}),
  libzscanner5 (= ${binary:Version}),
@@ -162,10 +156,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- knot (<< ${binary:Version}),
+ knot (<< 3.2.0-1),
  knot-dnsutils (<< 3.2.0-1),
 Replaces:
- knot (<< ${binary:Version}),
+ knot (<< 3.2.0-1),
  knot-dnsutils (<< 3.2.0-1),
 Description: DNSSEC tools
  This package provides various DNSSEC tools from Knot DNS.
